﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Imaging;
using System.IO;

namespace SaveDelayTestApp
{
    public partial class Form1 : Form
    {
        string dir = @"C:\Users\Main User\Desktop\bm";

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void btnStartStopTimer_Click(object sender, EventArgs e)
        {
            try
            {
                if (btnStartStopTimer.Text.ToLower().Contains("start"))
                {
                    timer1.Interval = Int32.Parse(numericUpDown1.Value.ToString()) * 1000;//convert to seconds
                    timer1.Start();
                    btnStartStopTimer.Text = "Stop Timer";
                }
                else //stop timer
                {
                    timer1.Stop();
                    btnStartStopTimer.Text = "Start Timer";
                }
            }
            catch (Exception ex)
            {
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            CaptureScreenshot2();
        }

        private void CaptureScreenshot2()
        {
            try
            {
                string fn = "";

                fn = dir + "\\" + Guid.NewGuid().ToString().Substring(0, 8) + ".jpeg";
                Bitmap bmpScreenshot = new Bitmap(Screen.PrimaryScreen.Bounds.Width,
                           Screen.PrimaryScreen.Bounds.Height,
                           PixelFormat.Format32bppArgb);

                // Create a graphics object from the bitmap.
                Graphics gfxScreenshot = Graphics.FromImage(bmpScreenshot);

                // Take the screenshot from the upper left corner to the right bottom corner.
                gfxScreenshot.CopyFromScreen(Screen.PrimaryScreen.Bounds.X,
                                            Screen.PrimaryScreen.Bounds.Y,
                                            0,
                                            0,
                                            Screen.PrimaryScreen.Bounds.Size,
                                            CopyPixelOperation.SourceCopy);

                // Save the screenshot to the specified path that the user has chosen.
                //bmpScreenshot.Save(fn, ImageFormat.Jpeg);
                //Bitmap bmp = (Bitmap)bmpScreenshot.Clone();
                pictureBox1.Image = bmpScreenshot;

                //clsTimer oTimer = new clsTimer(bmpScreenshot, dir);
                //oTimer.Start();
                pictureBox1.Image.Save(fn, ImageFormat.Jpeg);
            }
            catch (Exception ex)
            {
            }
        }
    }
}
